/* .............................................................................
CONFIGS
................................................................................

EXPLICATION DES FICHIERS :
- Dev : assets/css/
- Prod : task "grunt buildcss" pour builder le CSS build/css/main.css


COULEURS :
- Voir les vars plus bas.


NAMING CONVENTIONS :
- Blocks = section d'une page, ex : .bMain, .bBoxesList.
- Items = partie importante reutilisable, ex : .iBox, .iAccordion.
- Text = style precis pour texte, ex : .tBig, .tUpper


RESPONSIVE desktop-first :
@media (max-width:93rem) {}    1488px
@media (max-width:75rem) {}    1200px
@media (max-width:62rem) {}     992px
@media (max-width:46rem) {}     736px

Écrans ultra large :
@media (min-width:125rem) {}    2000px
*/


/*
COLORS */
:root {
	/* Colors */
	--color-black: #101820;
	--color-white: #ffffff;
	--color-red: #F93822;
	--color-blue: #C3D5E6;

	/* Text and BG */
	--color-base: var(--color-black);
	--color-base-on-dark: var(--color-white);
	--color-base-on-blue: var(--color-black);
	--color-bg-base: var(--color-white);
}



/*
BASE WIDTHS
L'application des valeurs est dans base.css. */
:root {
	--width-std: 7.5vw;
	--width-std-left: var(--width-std);
	--width-std-right: var(--width-std);

	/* Narrow */
	--width-narrow: calc(2.5 * var(--width-std));
	--width-narrow-left: var(--width-narrow);
	--width-narrow-right: var(--width-narrow);

	/* 4k overflow sides */
	--overflow-left: var(--width-std-left);
	--overflow-right: var(--width-std-right);
}

	/* Ultra large, on restreint la largeur maximale */
	@media (min-width:125rem) {
		:root {
			--width-std: 9.375rem;
			
			--width-std-left: calc(38vw - 38.125rem);
			--width-std-right: calc(38vw - 38.125rem);

			--width-narrow-left: calc(38vw - 24rem);
			--width-narrow-right: calc(38vw - 24rem);
		}
	}

	/* Tablet */
	@media (max-width:62rem) {
		:root {
			--width-std: 10vw;
			--width-narrow: var(--width-std);
		}
	}

	/* Mobile */
	@media (max-width:46rem) {
		:root {
			--width-std: 6vw;
		}
	}



/*
BASE SPACINGS
L'application des valeurs est dans site-blocks.css. */
:root {
	--base-spacing: clamp(4em, 8vw, 9em);
	--base-spacing-top: var(--base-spacing);
	--base-spacing-bottom: var(--base-spacing);
}



/*
TOPBAR HEIGHT
La hauteur du topBar affecte plusieurs elements dans la page.
On specifie donc une valeur globale pour pouvoir y acceder facilement. */
:root {
	--topbar-height: 8em;
	--topbar-height-scrolled: 5em;
}

	/* Sizes */
	@media (max-width:62rem) {
		:root {
			--topbar-height: 7em;
			--topbar-height-scrolled: 5em;
		}
	}

	@media (max-width:46rem) {
		:root {
			--topbar-height: 4.7em;
			--topbar-height-scrolled: 3.3em;
		}
	}



/*
EASING
Standardisé car utilisé à plusieurs endroits. */
:root {
	--ease-cubic: cubic-bezier(0.4, 0, 0.2, 1);
}



/*
RADIUS
Standardisé car utilisé à plusieurs endroits. */
:root {
	--radius-btn: 0.75rem;
}

